#pragma once
#include "afxdialogex.h"


// HSCompare1D 对话框

class HSCompare1D : public CDialogEx
{
	DECLARE_DYNAMIC(HSCompare1D)

public:
	HSCompare1D(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~HSCompare1D();

// 对话框数据
#define AFX_DESIGN_TIME
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOGHS_CMP };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	// 比较通道
	CComboBox cmpChan;
	// 比较轴号
	CComboBox cmpAxis;
	double cmpPos;
	// IO输出时间
	double ioOutTime;
	// 增量值
	double IncrementalValue;

	CComboBox cmpMode;
	CComboBox cmpSource;
	CComboBox cmpTriggerMode;
	CStatic output12;
	CStatic output13;
	CStatic output14;
	CStatic output15;
	CStatic GroupBoxAxis0;
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton5();
};
